## headache 1.04

=== doc-src/Makefile ===
##########################################################################
#                                                                        #
#                               Headache                                 #
#                                                                        #
#          Vincent Simonet, Projet Cristal, INRIA Rocquencourt           #
#                                                                        #
#  Copyright 2002                                                        #
#  Institut National de Recherche en Informatique et en Automatique.     #
#  All rights reserved.  This file is distributed under the terms of     #
#  the GNU Library General Public License.                               #
#                                                                        #
#  Vincent.Simonet@inria.fr           http://cristal.inria.fr/~simonet/  #
#                                                                        #
##########################################################################

DOC_SRC?= .
MANUAL := $(DOC_SRC)/manual

DOC_FILES= $(addprefix $(MANUAL)., pdf ps.gz html txt)

.PHONY: doc clean-doc install-doc

doc: $(DOC_FILES)

clean-doc:
	rm -f $(addprefix $(MANUAL)., pdf ps ps.gz dvi aux log thm txt html haux htoc)

clean:: clean-doc

$(MANUAL).dvi: $(MANUAL).tex
	cd $(dir $@) && latex $(notdir $<)
	cd $(dir $@) && latex $(notdir $<)

$(MANUAL).ps: $(MANUAL).dvi
	dvips -t a4 -o $@ $<

$(MANUAL).ps.gz: $(MANUAL).ps
	gzip -c $< > $@

$(MANUAL).pdf: $(MANUAL).dvi
	dvipdfm -p a4 -o $@ $<

$(MANUAL).html: $(MANUAL).tex $(MANUAL).dvi
	hevea -o $@ $<

$(MANUAL).txt: $(MANUAL).tex $(MANUAL).dvi
	hevea -o $@ -text $<

install-doc::
ifndef DOC_INSTALLDIR
	$(error "Please define DOC_INSTALLDIR.")
else
	mkdir -p $(DOC_INSTALLDIR)/
	cp -f $(DOC_FILES) $(DOC_INSTALLDIR)/
endif

## headache 1.03

=== debian/changelog ===
headache (1.03-30build1) focal; urgency=medium

  * No-change rebuild against ocaml-base-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 15:47:56 +0000

headache (1.03-30) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Sep 2019 21:39:52 +0200

headache (1.03-29) unstable; urgency=medium

  * Team upload
  * Make headache arch:any, to have the dependencies properly computed on
    all architectures
  * Update Homepage

 -- Stéphane Glondu <glondu@debian.org>  Thu, 01 Aug 2019 10:30:34 +0200

headache (1.03-28) unstable; urgency=medium

  * Rewrite debian/rules using dh
  * Use dh-ocaml to calculate dependencies
  * Patch 02_skip_begin: improve wording of patch description
  * Build-depend on debhelper-compat, drop file debian/compat
  * Debhelper compatibility level 12 (no change)
  * Update Vcs-* fields to salsa
  * Standards-Version 4.4.0 (no change)
  * Add as-installed package test
  * debian/copyright: link for GPL to the GPL-2 file.

 -- Ralf Treinen <treinen@debian.org>  Sun, 21 Jul 2019 15:19:42 -0300

headache (1.03-27) unstable; urgency=medium

  * Standards-Version 4.1.0
    - debian/copyright: use https in url of copyright format
  * Drop obsolete version constraint on build-dependency dh-ocaml"

 -- Ralf Treinen <treinen@debian.org>  Fri, 22 Sep 2017 08:42:12 +0200

headache (1.03-26) unstable; urgency=medium

  * Standards-Version 3.9.8 (no change)
  * Debhelper compat-level 10
  * Update Vcs-{Git,Browser}

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 Oct 2016 20:44:23 +0200

headache (1.03-25) unstable; urgency=medium

  * Recompile with OCaml 4.02.3

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 Oct 2015 19:38:38 +0200

headache (1.03-24) unstable; urgency=low

  * Team upload
  * Recompile with ocaml 4.01.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 21:12:21 +0100

headache (1.03-23) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Ralf Treinen ]
  * Update debian/watch (ocamlforge)
  * Standards-Version 3.9.4 (no change)
  * debian/copyright: finalise migration to format 1.0. Fix licence, copyright
    holder (INRIA) and year.
  * Improve long package description.

 -- Ralf Treinen <treinen@debian.org>  Mon, 20 May 2013 18:26:21 +0200

headache (1.03-22) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Added patch utf8_length: fix length of lines containing UTF8 characters
    (Closes: #620379)
  * Since headache is an arch:all package, we cannot use dh_ocaml inferred
    dependencies. We replace the substitution variable ${ocaml:Depends} with
    "ocaml-base-nox-${F:OCamlABI}, libextlib-ocaml" for now.

  [ Ralf Treinen ]
  * Added build-dependency on libextlib-ocaml-dev, needed for the utf8_length
    patch

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 05 Jan 2012 21:43:07 +0100

headache (1.03-21) unstable; urgency=low

  [ Ralf Treinen ]
  * Remove debian/README.source since it no longer applies.
  * debian/patches/*: replace dpatch headers by RFC822 header stanzas.
  * patch config_file_types: add a default for .tex files (closes: #620376)

  [ Mehdi Dogguy ]
  * Add myself to Uploaders.
  * Upload to unstable.
  * Fix spelling-error-in-manpage by enhancing the wording in headache.xml

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 04 Jan 2012 18:45:23 +0100

headache (1.03-20) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Rebuild with ocaml 3.12.1 (no source changes)

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 20:27:54 +0100

headache (1.03-19) unstable; urgency=low

  * Standards-version 3.9.2 (no change)
  * Rebuilt for OCaml 3.12.0
  * Migrate to source format 3.0
  * Removed duplicated Section field in debian/control
  * Spelling error in manpage.

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Apr 2011 17:35:48 +0200

headache (1.03-18) unstable; urgency=low

  * Invert CDBS debhelper.mk and ocaml.mk to avoid leaving
    *.debhelper.log
  * Upgrade to dh-ocaml 0.9
  * Rebuilt for OCaml 3.11.2

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 11 Feb 2010 22:47:49 +0000

headache (1.03-17) unstable; urgency=low

  * Switch packaging to git
  * Rebuild for OCaml 3.11.1
  * Remove useless CDBS depends substitution in debian/rules
  * Update debian/copyright (http://wiki.debian.org/Proposals/CopyrightFormat)
  * Upgrade Standards-Version to 3.8.2 (No change)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 29 Jun 2009 10:45:40 +0000

headache (1.03-15) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Upgrade Standards-Version to 3.8.0 (README.source)
  * Add build-dependency on dh-ocaml
  * Set 'Debian OCaml Maintainers' as maintainer

  [ Ralf Treinen ]
  * debian/rules: class/ocaml.mk -> rules/ocaml.mk.
  * debian/copyright: point to file LGPL-2, instead of file LGPL.

 -- Ralf Treinen <treinen@debian.org>  Wed, 25 Feb 2009 20:56:33 +0100

headache (1.03-14) unstable; urgency=low

  * Recompile for ocaml 3.10.2
  * Added myself to uploaders

 -- Ralf Treinen <treinen@debian.org>  Mon, 19 May 2008 22:31:17 +0200

headache (1.03-13) unstable; urgency=low

  * Apply patch 02_skip_begin to skip lines before pasting the header
    (Closes: #440442)
  * Apply patch 03_header_width to compute maximal width of the header
  * Remove control.in

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 24 Apr 2008 22:59:49 +0200

headache (1.03-12) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * bump standard version, no changes needed
  * bump urgency for the ocaml 3.10.1 transition
  * add build-dep on libxml2-utils, as the build invokes xmllint
  * adding me as an uploader

  [ Sylvain Le Gall ]
  * Recompile for ocaml 3.10.1

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Mar 2008 15:08:22 +0100

headache (1.03-11) unstable; urgency=low

  * Build for ocaml 3.10.0



=== debian/control ===
Source: headache
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 po-debconf,
 xsltproc,
 libxml2-utils,
 docbook-xsl,
 docbook-xml,
 debhelper-compat (= 12),
 ocaml-nox (>= 3.10.0-8),
 dh-ocaml,
 libextlib-ocaml-dev
Standards-Version: 4.4.0
Homepage: http://www.normalesup.org/~simonet/soft/
Vcs-Git: https://salsa.debian.org/ocaml-team/headache.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/headache

Package: headache
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: Tool to manage license notes of source files
 This tool allows a developer to add or remove the license note that
 one usually finds in a comment at the beginning of source files.  It
 knows about the syntax of comments in different languages: Makefile,
 OCaml, C, (La)TeX.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	./configure --bindir="$(CURDIR)/debian/headache/usr/bin"

override dh_auto_clean:
	$(MAKE) -C debian/xml-man clean
	$(MAKE) clean

override_dh_auto_build:
	$(MAKE) -C debian/xml-man all
	$(MAKE) all

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=51 .*/headache-([0-9.]*)\.tar\.gz

## headache 1.04

=== debian/changelog ===
headache (1.04-1) unstable; urgency=medium

  [ Andy Li ]
  * Team upload
  * New upstream version
    This version builds on camomile instead of extlib (closes: #961103)
  * Remove patches and README.Debian, all patches applied in this release
  * Update d/rules to use dune
  * Update d/control for dependency changes
  * Update Homepage, Source, and d/watch to reflect repository migration
    to GitHub according to http://forge.ocamlcore.org/projects/headache/
  * Bump Standards-Version to 4.5.0

  [ Ralf Treinen ]
  * d/control: added missing ${shlibs:Depends}

 -- Andy Li <andy@onthewings.net>  Wed, 20 May 2020 18:24:07 +0800

=== debian/control ===
Source: headache
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 po-debconf,
 xsltproc,
 libxml2-utils,
 docbook-xsl,
 docbook-xml,
 debhelper-compat (= 12),
 ocaml-nox (>= 3.10.0-8),
 dh-ocaml,
 ocaml-dune,
 libcamomile-ocaml-dev
Standards-Version: 4.5.0
Homepage: https://github.com/Frama-C/headache
Vcs-Git: https://salsa.debian.org/ocaml-team/headache.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/headache

Package: headache
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Tool to manage license notes of source files
 This tool allows a developer to add or remove the license note that
 one usually finds in a comment at the beginning of source files.  It
 knows about the syntax of comments in different languages: Makefile,
 OCaml, C, (La)TeX.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	$(MAKE) -C debian/xml-man all
	dune build @install -p headache --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose

override_dh_auto_clean:
	$(MAKE) -C debian/xml-man clean
	$(MAKE) clean

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/Frama-C/headache/releases .*/archive/v(\d\S*)\.tar\.gz

## headache 1.05

=== debian/changelog ===
headache (1.05-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Update debian/watch
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 10:46:52 +0100

=== debian/tests/control ===
Tests: ocaml
Depends: headache

## headache 1.06

=== debian/changelog ===
headache (1.06-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Jan 2023 10:35:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,13 @@
  libxml2-utils,
  docbook-xsl,
  docbook-xml,
- debhelper-compat (= 12),
- ocaml-nox (>= 3.10.0-8),
+ debhelper-compat (= 13),
+ ocaml-nox,
  dh-ocaml,
  ocaml-dune,
  libcamomile-ocaml-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/Frama-C/headache
 Vcs-Git: https://salsa.debian.org/ocaml-team/headache.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/headache

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,3 @@
 override_dh_auto_clean:
 	$(MAKE) -C debian/xml-man clean
 	$(MAKE) clean
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/watch ===
version=4
https://github.com/Frama-C/headache/tags .*/tags/v?([0-9.]+)\.tar\.gz

## headache 1.07

=== Makefile ===
##########################################################################
#                                                                        #
#                               Headache                                 #
#                                                                        #
#          Vincent Simonet, Projet Cristal, INRIA Rocquencourt           #
#                                                                        #
#  Copyright 2002                                                        #
#  Institut National de Recherche en Informatique et en Automatique.     #
#  All rights reserved.  This file is distributed under the terms of     #
#  the GNU Library General Public License.                               #
#                                                                        #
#  Vincent.Simonet@inria.fr           http://cristal.inria.fr/~simonet/  #
#                                                                        #
##########################################################################

.PHONY: headache clean install test

headache:
	dune build

clean::
	dune clean

# install
install:
ifndef INSTALLDIR
	$(error "Please define INSTALLDIR.")
else
	mkdir -p $(INSTALLDIR)
	cp -f _build/install/default/bin/headache $(INSTALLDIR)/headache
endif

# test
bootstrap: headache
	dune exec -- headache -h example $(filter-out config_builtin.ml, $(wildcard *.ml*)) Makefile doc-src/Makefile doc-src/manual.tex

test: bootstrap
	dune exec -- headache -e Makefile > example.txt
	diff -q example example.txt
	rm -f example.txt

# documentation
ifndef DOC_INSTALLDIR
DOC_SRC= doc-src
# default installation from ./doc-src to ./doc and update of ./README
DOC_INSTALLDIR= doc
.PHONY: install-doc
install-doc::
	cp -f doc-src/manual.txt ./README
else
# for installation from ./doc to $(DOC_INSTALLDIR)
DOC_SRC= doc
endif
sinclude doc-src/Makefile

=== debian/changelog ===
headache (1.07-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Oct 2023 08:53:52 +0200

headache (1.06-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 15:12:26 +0200

headache (1.06-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1041019)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 09:40:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  docbook-xsl,
  docbook-xml,
  debhelper-compat (= 13),
- ocaml-nox,
- dh-ocaml,
+ ocaml,
+ dh-ocaml (>= 1.2),
  ocaml-dune,
- libcamomile-ocaml-dev
-Standards-Version: 4.6.0
+ libcamomile-ocaml-dev (>= 2.0.0)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/Frama-C/headache
 Vcs-Git: https://salsa.debian.org/ocaml-team/headache.git

## headache 1.08

=== debian/changelog ===
headache (1.08-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Jun 2024 07:58:47 +0200

headache (1.08-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 06:32:51 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_build:
	$(MAKE) -C debian/xml-man all
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) -C debian/xml-man clean
	dh_auto_clean
